<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Traits\AdminAuthTrait;
use App\Http\Controllers\Traits\AdminCustomerTrait;
use App\Http\Controllers\Traits\AdminGeneralSettingTrait;
use App\Http\Controllers\Traits\ApplyCouponTrait;
use App\Http\Controllers\Traits\CouponTrait;
use App\Http\Controllers\Traits\CustomDomainRequestTrait;
use App\Http\Controllers\Traits\HelperTrait;
use App\Http\Controllers\Traits\JsonResponseTrait;
use App\Http\Controllers\Traits\ModuleTrait;
use App\Http\Controllers\Traits\PlanTrait;
use App\Http\Controllers\Traits\SubModuleTrait;
use App\Http\Controllers\Traits\HelpDeskCategoryTrait;
use App\Http\Controllers\Traits\HelpDeskTrait;
use App\Http\Controllers\Traits\SearchTrait;
use App\Http\Controllers\Traits\StripeTrait;
use App\Http\Controllers\Traits\ValidationTrait;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use App\Http\Controllers\Traits\CustomerProfileTrait;

use GuzzleHttp\Client;
use App\Models\Notification;



class Controller extends BaseController
{
  use AuthorizesRequests,
    DispatchesJobs,
    ValidatesRequests,
    ValidationTrait,
    JsonResponseTrait,
    AdminAuthTrait,
    ModuleTrait,
    SubModuleTrait,
    PlanTrait,
    AdminCustomerTrait,
    HelpDeskCategoryTrait,
    AdminGeneralSettingTrait,
    SearchTrait,
    CustomDomainRequestTrait,
    HelpDeskTrait,
    CouponTrait,
    StripeTrait,
    ApplyCouponTrait,
    CustomerProfileTrait,
    HelperTrait;
    
   
  

  public function save_notifications($title, $short_description, $sender_id, $receiver_id, $type)
  {


    Notification::create([
      'title' =>  $title,
      'short_description' =>  $short_description,
      'sender_id' =>  $sender_id,
      'receiver_id' =>  $receiver_id,
      'type' =>  $type,
      'read' =>  '0'
    ]);
  }
}
