<?php

namespace App\Http\Controllers;

use App\Models\HelpdeskTicket;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HelpdeskTicketController extends Controller
{
    
    public function index(HelpdeskTicket $helpdeskTicket , Request $request)
    {
        return $this->getLatestData($helpdeskTicket , $request , ['category','assigne_by:id,name','created_by:id,name']);    
    }

    public function showCustomerTickets( Request $request)
    {   
        $id = Auth::user()->id;
        $ticket = HelpdeskTicket::with('category' ,'created_by:id,name')->where('created_by', $id)->get();
        if ($ticket->isEmpty()) {
            return $this->success($ticket, "No Ticket found.");
        }
        return $this->success($ticket, "Ticket list retrieved successfully.");
    }
    public function store(Request $request)
    {
        // dd($request->all());
       return $this->storeHelpdeskTicket($request);
    }
    public function show($category)
    {
       return $this->showHelpdesk($category);
    }
    public function update(Request $request)
    {
       return $this->updateHelpdesk($request);
    }
    public function destroy($category){
        return $this->destroyHelpdesk($category);
    }

    public function reply(Request $request)
    {
        return $this->replyHelpdesk($request);
    }
    public function search(Request $request)
    {
        return $this->searchHelpdesk($request);
       
    }

    public function customerHelpdeskList()
    {
        return $this->getCustomerHelpdesk();   
    }

    public function download($id)
    {
        // return $this->downloadFile('HelpdeskTicket', 'attachments', 5);
        return $this->downloadHelpdesk($id);   
    }

    // public function exportCVS()
    // {
    //    // Retrieve data from the database
    //     $users = DB::table('users')->get();

    //     // Ensure there is data to export
    //     if ($users->isEmpty()) {
    //         return response()->json(['message' => 'No data available for export'], 404);
    //     }

    //     // Write data to CSV
    //     $csvFileName = 'user.csv';
    //     $csvFilePath = public_path($csvFileName); // Save in the public directory
    //     $csvFile = fopen($csvFilePath, 'w');

    //     // Get the column headers from the first row
    //     $headers = array_keys((array) $users[0]);
    //     fputcsv($csvFile, $headers);

    //     // Write each user's data to the CSV
    //     foreach ($users as $user) {
    //         fputcsv($csvFile, (array) $user);
    //     }

    //     fclose($csvFile);

    //     // Download the CSV file and delete it after sending
    //     return response()->download($csvFilePath)->deleteFileAfterSend(true);
    //  }



    
}
