<?php

namespace App\Http\Controllers\Traits;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Http\Request;

trait SearchTrait
{
    public function searchFilter(Builder $query, Request $request)
    {
        $filters = $request->input('filters', []);
        $pagination = $request->input('pagination', 15);
        $sortOrder = $request->input('sortOrder', 'desc');
        $isCsv = $request->input('csv', false); // Check if CSV download is requested
        foreach ($filters as $column => $value) {
            if (is_array($value)) {
                $query->whereIn($column, $value);
            } else {
                $query->where($column, 'LIKE', "%{$value}%");
            }
        }
        if (!empty($filters)) {
            $sortColumn = key($filters);
            $query->orderBy($sortColumn, $sortOrder);
        }
        if ($isCsv) {
            return $this->generateCsvFromQuery($query);
        }
        return $query->paginate($pagination);
    }
}
