<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HelpdeskConversions extends Model
{
    use HasFactory;

    protected $table = 'helpdesk_conversions';
    
    protected $fillable = [
        'ticket_id',
        'descriptions',
        'attachments',
        'sender'
    ];

    public function senderUser()
    {
        return $this->belongsTo(User::class, 'sender', 'id'); // sender is the foreign key in the conversations table
    }

    public function ticket()
    {
        return $this->belongsTo(HelpdeskTicket::class, 'ticket_id', 'id');
    }
}
