<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HelpdeskTicket extends Model
{
    use HasFactory;
    protected $fillable = [
        'email',
        'user_id',
        'ticket_id',
        'category',     
        'subject',         
        'description',     
        'status',
        'attachments',
        'name',     
        'note',     
        'workspace',     


    ];
  
    public function conversations()
    {
        return $this->hasMany(HelpdeskConversions::class ,'ticket_id');
    }

    public function category()
    {
        return $this->belongsTo(HelpdeskTicketCategories::class ,'category');
    }
    public function assigne_by()
    {
        return $this->belongsTo(User::class ,'user_id');
    }
    public function created_by()
    {
        return $this->belongsTo(User::class ,'created_by');
    }
}
