<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class IncidentSignoff extends Model
{
    use HasFactory;

    protected $table = 'incident_signoffs';

    // Define fillable fields
    protected $fillable = [
        'incident_report_id',
        'role_code',
        'emp_id',
        'name',
        'signature',
        'date',
        'time'
    ];

    // Define relationships
    public function incidentReport()
    {
        return $this->belongsTo(IncidentReport::class, 'incident_report_id');
    }



    public function employee()
    {
        return $this->belongsTo(EmpPersonalDetails::class, 'emp_id', 'emp_id');
    }

    /**
     * Company details related to the employee who signed off
     */
    public function companyDetails()
    {
        return $this->belongsTo(EmpCompanyDetails::class, 'emp_id', 'id');
    }
}
