<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasFactory, Notifiable ,HasApiTokens;

    // protected $table = 'emp_company_details';


    protected $fillable = [
        'name',
        'email',
        'mobile_number',
        'email_verified_at',
        'password',
        'remember_token',
        'user_type',
        'active_status',
        'is_enable_login',
        'total_workspace',
        'total_active_workspace',
        'total_user',
        'current_workspace_id',
        'avatar',
        'active_plan_id',
        'plan_expire_date',
        'created_by',
        'del',
        'permissions_setup',
    ];

    protected $hidden = [
        'password',
    ];

    // protected $with =['plan'];

    public function plan()
    {
        return $this->belongsTo(Plan::class, 'active_plan_id', 'id');
    }

    public function customDomainRequests()
    {
        return $this->hasMany(CustomDomainRequest::class, 'created_by');
    }
}
