@php
 
@endphp
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>{{$subject}}</title>
  <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="css/emails_style.css">
<style>
  *{
  padding: 0;
  margin: 0;
  font-family: Inter !important;
}
#email-body{
  min-width: 600px;
  width: 600px;
  max-width: 600px;
  margin: 0 auto;
  font-family: Inter !important;

}
#email-header{
  padding: 18px 25px;
  background-color: #22C55E;
}
#email-content{
  padding: 42px 34px;
}
.greeting-section{
  font-size: 14px;
  margin-bottom: 18px;
}
#tagline-section{
  background-color:#EDEDED;
  padding: 14px;
  text-align: center;
}
.small-tagline{
  font-size: 13px;
}
.big-tagline{
  font-size: 14px;
}
.big-tagline a{
  color: #019FF3;
  font-weight: 700;
  text-decoration: none;
}
.footer-logo{
  margin-top: 16px;
  height: 35px;
  filter: invert(65%);
}
.company-title{
  font-size: 14px;
  font-weight: 600;
}
.company-address-contact{
  color: gray;
  font-size: 12px;
}
.email-content-area p{
  font-size: 14px;
  margin-bottom: 15px;
}
.thank-you-section{
  margin-bottom: 0px !important;
}
.welcome-title{
  font-size: 22px !important;
  font-weight: 700;
  margin-bottom: 20px;
}
.account-details{
  background-color: #f9f9f9;
  padding: 15px;
  border-radius: 5px;
  margin-bottom: 20px;
}
.account-details p{
  margin-bottom: 8px;
}
.account-details strong{
  font-weight: 600;
}
.login-button {
  display: inline-block;
  background-color: #22C55E;
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-weight: 600;
  margin: 15px 0;
}
</style>
</head>
<body>
  <div id="email-body">
    <div id="email-header">
      {{-- <img src="{{url(SettingsClass::getOptionValue('_web_logo', $settings_))}}" height="54px" width="auto"> --}}
    </div>
    <div id="email-content">
      <div class="greeting-section">Hi, <b>{{$name}}</b></div>
      <div class="email-content-area">
        <p class="welcome-title">Welcome to {{env("APP_NAME")}}!</p>
        <p>Your account has been successfully created. You can now log in to access our services and features.</p>
        
        <div class="account-details">
          <p><strong>Name:</strong> {{$name}}</p>
          <p><strong>Email:</strong> {{$email}}</p>
          <p><strong>Workspace:</strong> {{$workspace_name}}</p>
          @if(isset($password))
          <p><strong>Password:</strong> {{$password}}</p>
          <p><small>(We recommend changing this password after your first login)</small></p>
          @endif
        </div>
        
        <p>To get started, please click the button below to log in to your account:</p>
        <a href="{{$login_url}}" class="login-button">Login to Your Account</a>
        
        <p>If you have any questions or need assistance, feel free to contact our support team.</p>
        <p class="thank-you-section">Thank You</p>
      </div>
    </div>
    <div id="email-footer">
      <div id="tagline-section">
        <p class="small-tagline">This email is auto generated, don't reply on this Email.</p>
        <p class="big-tagline">For any question and query, consider <a href="mailto:{{env('EMAIL_ADDRESS')}}">{{env('EMAIL_ADDRESS')}}</a></p>
      </div>
      <div class="company-details">
        {{-- <img src="{{url(SettingsClass::getOptionValue('_web_logo', $settings_))}}" class="footer-logo"> --}}
        <div class="company-title">{{env("APP_NAME")}} Group Australia</div>
        <div class="company-address-contact">
        Rookwood Road, Sydney, Australia<br>
        Call : 656457454
        </div>
      </div>
    </div>
  </div>
</body>
</html> 