<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Session;
use App\Http\Controllers\FormController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\SiteController;
use App\Http\Controllers\TierController;
use App\Http\Controllers\LeaveController;
use App\Http\Controllers\PopupController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\EmpTeamController;
use App\Http\Controllers\EmpTypeController;
use App\Http\Controllers\MeetingController;
use App\Http\Controllers\ProjectController;
use App\Http\Controllers\EmployeeController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\TrainingController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\EmpPermitController;
use App\Http\Controllers\SwmsStepsController;
use App\Http\Controllers\AttendanceController;
use App\Http\Controllers\PreRequestController;
use App\Http\Controllers\PreRequireController;
use App\Http\Controllers\SWMSReportController;
use App\Http\Controllers\PermissionsController;
use App\Http\Controllers\TierPackageController;
use App\Http\Controllers\LeavePackageController;
use App\Http\Controllers\LeaveRequestController;
use App\Http\Controllers\EmpWorkerTypeController;

use App\Http\Controllers\IncidentReportController;
use App\Http\Controllers\InspectionPlanController;
use App\Http\Controllers\LinkManagementController;
use App\Http\Controllers\RosterTemplateController;
use App\Http\Controllers\RequiredDocumentController;
use App\Http\Controllers\EmpWorkExperienceController;
use App\Http\Controllers\EmployeeOnboardingController;
use App\Http\Controllers\IncidentInjuryTypeController;

use App\Http\Controllers\IncidentRiskCategoryController;
use App\Http\Controllers\IncidentReportQuestionController;
use App\Http\Controllers\InspectionPlanSetttingsController;
use App\Http\Controllers\NotifiableClassificationController;

use App\Http\Controllers\PreRequestIncidentReportController;
use App\Http\Controllers\RequiredExternalDocumentController;
use App\Http\Controllers\IncidentInjuryClassificationController;
// use App\Http\Controllers\InternalEmployeeRosterSettingControllerController;
use App\Http\Controllers\WhsReportSettingController;
use App\Http\Controllers\WhsStepsController;
use App\Http\Controllers\WhsReportController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\HelpdeskTicketController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::get('/clear-cache', function () {
    Artisan::call('cache:clear');
    Artisan::call('view:clear');
    Artisan::call('config:clear');
    Artisan::call('route:clear');
    return redirect('/?cache=cleared');
});



Route::post('/employee-list/change-col', [EmployeeController::class, 'changeCol']);
Route::post('/attendance-list/change-col', [AttendanceController::class, 'changeCol']);


Route::get('/', function () {

    if (Auth::user()) {
        return redirect('/dashboard');
    } else {
        return view('Auth.login');
    }
});
Route::get('/test-subscription', function () {
    return view('subscription-test');
});

Route::middleware(['dashboard_auth'])->group(function () {

    // Route::get('/dashboard', [DashboardController::class, 'index'])->middleware('Permissions:Dashboard View');
    // Route::get('/get-expiring-document', [DashboardController::class, 'expiringDocuments']);
    // Route::get('/get-missing-document', [DashboardController::class, 'missingDocuments']);
    // Route::get('/get-absent-employees', [DashboardController::class, 'absentEmployees']);
    // Route::get('/get-present-employees', [DashboardController::class, 'presentEmployees']);
    Route::get('/notifications', [NotificationController::class, 'notificationFiltersData']);
    Route::get('/notifications/create', [NotificationController::class, 'create'])->name('notification.create');
    Route::post('/notifications/store', [NotificationController::class, 'store']);

    Route::get('/get-custom-notifications', [NotificationController::class, 'customNotification']);

    Route::view('/no_permission', 'Permission/no_permission');
    Route::get('/user-profile/{id}', function () {
        return view('Employee.profile');
    })->middleware('Permissions:Profile View');

    Route::get('/test-email-view', function () {
        return view('Emails.invite');
    });
    Route::get('/employee-profile-compeleted', function () {
        return view('Employee.NewEmployeeOnboarding.employeeProfileCompeleted');
    });
    Route::get('/employee-onboarding/create/{step}/{id}', function () {
        return view('Employee.NewEmployeeOnboarding.newEmployeeOnboarding');
    })->middleware('Permissions:Employee List Maintain');
    Route::get('/employee-list', function () {
        return view('Employee.employeeList');
    })->middleware('Permissions:Employee List View');
    Route::get('/invite-employee/create/{step}/{id}', function () {
        return view('Employee.InviteEmployee.inviteEmployee');
    });
    Route::get('/invite-employee-list', function () {
        return view('Employee.inviteEmployeeList');
    })->middleware('Permissions:Invite Employee List View');
    Route::resource('/pre-require', PreRequestController::class)->middleware('Permissions:Registration Setting View');
    Route::resource('/emp-permits', EmpPermitController::class);
   

    
    Route::post('/update-get-types/{id}', [RequiredDocumentController::class, 'update_get_types']);
    Route::resource('/required-external-document', RequiredExternalDocumentController::class);
    Route::post('/external-update-get-types/{id}', [RequiredExternalDocumentController::class, 'external_update_get_types']);
   
  

    Route::resource('/settings', SettingsController::class)->middleware('Permissions:General Settings View');


    Route::resource('/permission', PermissionsController::class)->middleware('Permissions:Permissions View');
    
    Route::resource('/incident-injury-classification', IncidentInjuryClassificationController::class);
    Route::resource('/training', TrainingController::class);
    Route::resource('/incident-injury-type', IncidentInjuryTypeController::class);
    Route::resource('/incident-report-question', IncidentReportQuestionController::class);
    Route::resource('/incident-risk-category', IncidentRiskCategoryController::class);
    Route::resource('/incident-notifi-classification', NotifiableClassificationController::class);
    Route::post('/tier-related-data', [RoleController::class, 'tierRelatedData']);
    Route::get('/send-invite', [EmployeeOnboardingController::class, 'sendInvite']);
    Route::put('/add-remove-team-member', [EmpTeamController::class, 'addRemoveTeamMember']);
    Route::post('/get-team-member', [EmpTeamController::class, 'GetTeamMember']);
    Route::post('/get-team-history', [EmpTeamController::class, 'GetTeamHistory']);
    // modification
    Route::resource('/company', CompanyController::class)->middleware('Permissions:Clients View');
    Route::get('company', function () {
        return view('Company.index');
    });
    Route::get('/client-view/{id}', [CompanyController::class, 'view'])->middleware('Permissions:Clients View');
    Route::resource('sites', SiteController::class)->middleware('Permissions:Sites View');
    Route::get('sites', function () {
        return view('Sites.index');
    })->middleware('Permissions:Sites View');
    Route::get('/site-view/{id}', [SiteController::class, 'view'])->middleware('Permissions:Sites View');
    Route::resource('projects', ProjectController::class)->except(['show'])->middleware('Permissions:Projects View');
    Route::get('/projects', function () {
        return view('Project.index');
    })->middleware('Permissions:Projects View');
    Route::put('/projects/{id}/update-status', [ProjectController::class, 'updateStatus']);
    Route::get('/project-view/{id}', [ProjectController::class, 'view'])->middleware('Permissions:Projects View');
    Route::post('/project-document', [ProjectController::class, 'projectdocument'])->middleware('Permissions:Projects View');
    Route::get('/edit-document/{id}', [ProjectController::class, 'editdocument']);
    Route::post('/update-project-document', [ProjectController::class, 'updateprojectdocument']);
    Route::post('/view-document-history/{id}', [ProjectController::class, 'viewdocumenthistory'])->middleware('Permissions:Projects View');
    Route::post('/delete-document/{id}', [ProjectController::class, 'deletedocument']);

    // ======================= MEETINGS ROUTE ===========================
    // Route::resource('meetings',MeetingController::class)->middleware('Permissions:Meetings Manager View');
    Route::resource('report', ReportController::class); //->middleware('Permissions:Incident Investigation Report View');
    Route::post('meeting/document/store',[MeetingController::class, 'storeMeetingDocument']);
    Route::post('meetings/document/delete',[MeetingController::class, 'deleteMeetingDocument']);
    Route::post('meeting/guest/add',[MeetingController::class, 'addMeetingGuestUser']);
    Route::post('meeting/guest/update',[MeetingController::class, 'updateMeetingGuestUser']);
    Route::post('meeting/guest-user/delete',[MeetingController::class, 'deleteMeetingGuestUser']);
    Route::get('meeting/portal',[MeetingController::class, 'meetingPortal']);
    Route::get('meetings/attendance-details/{meeting_id}',[MeetingController::class, 'getMeetingAttendanceDetails'])->name('meeting-attendance-details');
    Route::post('/meeting/notes/store',[MeetingController::class, 'addMeetingNotes']);
    Route::post('meetings/update/{id}', [MeetingController::class, 'updateMeeting']);
    Route::get('meeting/settings', [MeetingController::class, 'meetingSettings'])->name('meeting.settings');
    Route::post('meeting/settings/store', [MeetingController::class, 'meetingSettingsStore']);
    Route::delete('meeting/settings/delete/{id}', [MeetingController::class, 'meetingSettingsDelete']);
    Route::post('/meeting/settings/edit', [MeetingController::class, 'meetingSettingsEdit']);
    // Route::get('/meetings/document/edit/{id}', [MeetingController::class, 'meetingDocumentEdit'])->name('meetings.document.edit');
    Route::get('/meetings/document/edit/{step}/{id}/{sequence}', [MeetingController::class, 'meetingDocumentEdit'])->name('meetings.document.edit');
    Route::get('/meetings/document/pdf/download/{id}', [MeetingController::class, 'MeetingNotePDFRegenerate'])->name('meeting.document.regenerate.download');
    Route::get('/meetings/document/pdf/regenerate/download/{id}', [MeetingController::class, 'MeetingNotePDF'])->name('meeting.document.download');

    Route::post('meetings/document/note/delete', [MeetingController::class, 'MeetingNoteDocumentDelete']);
    

   
    //  =====================  MEETING ROUTE END =========================
    
    Route::get('/search/employees', [MeetingController::class, 'searchEmployees']);

    Route::get('/roaster', function () {
        return view('Roaster.view');
    })->middleware('Permissions:Roster View');

    Route::get('/link-management', function () {
        return view('LinkManagement.index');
    });
    Route::get('/link-employee/{key}', function () {
        return view('LinkManagement.linkedEmployee');
    });
    Route::get('/link-management/create', [LinkManagementController::class, 'create'])->name('link.create');
    Route::get('/link-management/{id}/edit', [LinkManagementController::class, 'edit'])->name('link.edit');

    Route::get('/funds', function () {
        return view('Funds.view');
    })->middleware('Permissions:Super Funds View');
    Route::get('public-holiday', function () {
        return view('Holiday.index');
    })->middleware('Permissions:Public Holiday View');
    Route::get('leave-type', function () {
        return view('LeaveType.index');
    })->middleware('Permissions:Leave Type View');

    Route::resource('leavepackage', LeavePackageController::class)->middleware('Permissions:Leave Package View');
    Route::get('leavepackage', function () {
        return view('LeavePackage.index');
    })->middleware('Permissions:Leave Package View');
    Route::resource('leave-request', LeaveRequestController::class)->middleware('Permissions:Leave Request View');
    Route::get('leave-request', function () {
        return view('LeaveRequest.index');
    })->middleware('Permissions:Leave Request View');
    Route::get('tiers', function () {
        return view('Tier.index');
    })->middleware('Permissions:Tier List View');
    Route::resource('/tier-package', TierPackageController::class)->middleware('Permissions:Tier Package View');
    Route::get('/tier-package', function () {
        return view('TierPackage.index');
    })->middleware('Permissions:Tier Package View');
    // Route::get('/leave-portal', [LeaveRequestController::class, 'leave_portal'])->middleware('Permissions:Leaves Portal View');
    // ==============================Attendance=============================
    Route::resource('/attendance', AttendanceController::class)->middleware('Permissions:Attendance View');
    Route::get('attendance_record', function () {
        return view('Attendance.attendanceRecord');
    });
    Route::get('/attendance', function () {
        return view('Attendance.index');
    })->middleware('Permissions:Attendance View');
    Route::delete('/delete-break/{id}', [AttendanceController::class, 'deleteBreak']);
    Route::get('/attendance-request', function () {
        return view('Attendance.attendanceRequest');
    })->middleware('Permissions:Attendance Request View');
    Route::get('/attendance_request', [AttendanceController::class, 'attendance_request']);
    Route::put('attendance{id}/update-status', [AttendanceController::class, 'updateStatus']);
    Route::post('approved-all', [AttendanceController::class, 'approved_all']);
    Route::post('approve-selected', [AttendanceController::class, 'approveSelected']);
    Route::get('/attendance-portal', [AttendanceController::class, 'attendance_portal'])->middleware('Permissions:Attendance Portal View');
    Route::get('/attendance-portal-employee', [AttendanceController::class, 'attendance_portal_employee'])->middleware('Permissions:Attendance Portal View');
    Route::get('/employe-attendance', [AttendanceController::class, 'employe_attendance'])->middleware('Permissions:Attendance Portal View');
    // =============================Incident ===============================
    Route::get('attendance-logs', function(){ return view('attendance-logs');});
    Route::get('get-attendance-logs', [SettingsController::class, 'getAttendanceLogs']);
    Route::resource('/pre-require-incident-report', PreRequestIncidentReportController::class); 
    Route::get('/incident-report/create/{step}/{incident_report_id}', function () {
        return view('IncidentReport.NewIncidentReport.newIncidentReport');
    }); 
    Route::get('/incident-report-list', function () {
        return view('IncidentReport.incidentReportList');
    }); 
    Route::get('/files-manager-pdf', function () {
        return view('FileManger.FilesManager');
    });
    Route::get('/incident-report-pdf-list', [IncidentReportController::class, 'IncidentReportPdfFiles']);
    Route::get('/incident-report-pdf/{id}', [IncidentReportController::class, 'incidentReportDownloadPdf']);
    Route::get('/incident-report-pdf-regenerate/{id}', [IncidentReportController::class, 'incidentReportDownloadPdfRegenerate']);
    Route::post('/incident-report-image-store', [IncidentReportController::class, 'imageStore'])->name('incidentImages.store');
    Route::delete('/incident-report-delete-image/{id}', [IncidentReportController::class, 'deleteImage'])->name('incidentImages.destroy');
    Route::get('/incident-report-view-signature/{id}', [IncidentReportController::class, 'incidentReportViewSignature'])->name('incidentImages.destroys');

    // ==============================Inspection test and plan=============================
    Route::get('/inspection-plan-form-pages/{step}/{inspection_plan_id}', [InspectionPlanController::class, 'inspectionPlanFormPages']);
    Route::get('/inspection-plan', [InspectionPlanController::class, 'Home']);
    Route::get('/inspection-plan/create/{step}/{inspection_plan_id}', [InspectionPlanController::class, 'CreateNewInspectionPlan']);
    Route::post('/inspection-plan/save', [InspectionPlanController::class, 'saveNewInspectionReport']);
    //pdf download
    Route::get('/inspection-report-pdf-list', [InspectionPlanController::class, 'InspectionReportPdfFiles']);
    Route::get('/meetings-notes-manager-pdf-list', [MeetingController::class, 'meetingReportList']);
    Route::get('/inspection-plan-pdf/{id}', [InspectionPlanController::class, 'inspectionReportDownloadPdf']);
    Route::get('/inspection-plan-pdf-regenerate/{id}', [InspectionPlanController::class, 'inspectionReportDownloadPdfRegenerate']);
    Route::post('/inspection-report-image-store', [InspectionPlanController::class, 'imageStore'])->name('inspectionImages.store');
    Route::post('/inspection-report-description-store', [InspectionPlanController::class, 'step4Store'])->name('inspectionStep4.store');

    
    Route::delete('/inspection-report-delete-image/{id}', [InspectionPlanController::class, 'deleteImage'])->name('inspectionImages.destroy');
    Route::get('/inspection-report-view-signature/{id}', [InspectionPlanController::class, 'inspectionReportViewSignature']);


    Route::get('/inspection-report-pdf-publish/{id}', [InspectionPlanController::class, 'inspectionReportPublishReport']);
    Route::get('/inspection/files/download/{filename}', [InspectionPlanController::class, 'downloadPdfFile'])->name('download.pdf');
    Route::get('/incident-report-pdf-publish/{id}', [IncidentReportController::class, 'incidentReportPublishReport']);


    //Settings inspection
    Route::get('/inspection-plan-settings', [InspectionPlanSetttingsController::class, 'index']);
    Route::get('/inspection-plan-settings-create', [InspectionPlanSetttingsController::class, 'indexcreate'])->name('inspection.plan.settings.create');
    Route::get('/inspection-plan-settings-edit/{id}', [InspectionPlanSetttingsController::class, 'indexedit']);
    Route::post('/inspection-plan-settings-update/{id}', [InspectionPlanSetttingsController::class, 'indexUpdate']);
    Route::get('/inspection-plan-settings-edit-data/{id}', [InspectionPlanSetttingsController::class, 'settingsTableEditData']); 


    // ---------------------------------------- SWMS -------------------------------------
    Route::get('/swms-report-settings', [SWMSReportController::class, 'index']);
    //////////////////////////////////////////////// settings /////////////////////////////
    // hazzard risk
    Route::post('/swms-report-settings-store', [SWMSReportController::class, 'swmsHazardRiskStore']);
    Route::get('/swms-report-settings-get', [SWMSReportController::class, 'swmsHazardRiskGet']);
    Route::put('/swms-report-settings-update/{id}', [SWMSReportController::class, 'swmsHazardRiskUpdate']);
    Route::delete('/swms-report-settings-delete/{id}', [SWMSReportController::class, 'swmsHazardRiskDelete']);
    // questions
    Route::post('/swms-report-question-settings-store', [SWMSReportController::class, 'swmsHazardRiskQuestionStore']);
    Route::get('/swms-report-question-settings-get', [SWMSReportController::class, 'swmsQuestionGet']);
    Route::put('/swms-report-question-settings-update/{id}', [SWMSReportController::class, 'swmsQuestionUpdate']);
    Route::delete('/swms-report-question-settings-delete/{id}', [SWMSReportController::class, 'swmsQuestionDelete']);
    // Safety planning question 
    Route::post('/swms-safty-planning-question-settings-store', [SWMSReportController::class, 'swmsSafetyPlanningQuestionStore']);
    Route::get('/swms-safty-planning-settings-get', [SWMSReportController::class, 'swmsSafetyPlanningQuestionGet']);
    Route::put('/swms-safty-planning-settings-update/{id}', [SWMSReportController::class, 'swmsSafetyPlanningQuestionUpdate']);
    Route::delete('/swms-safty-planning-settings-delete/{id}', [SWMSReportController::class, 'swmsSafetyPlanningQuestionDelete']);
    // general notes
    Route::post('/swms-general-notes-settings-store', [SWMSReportController::class, 'swmsGeneralNotesStore']);
    Route::get('/swms-general-notes-settings-get', [SWMSReportController::class, 'swmsSeneralNotesGet']);
    Route::put('/swms-general-notes-update/{id}', [SWMSReportController::class, 'swmsGeneralNotesUpdate']);
    Route::delete('/swms-general-notes-settings-delete/{id}', [SWMSReportController::class, 'swmsGeneralNotesDelete']);
    // protection tools 
    Route::post('/swms-protection-tool-settings-store', [SWMSReportController::class, 'swmsProtectionToolStore']);
    Route::get('/swms-protection-tool-settings-get', [SWMSReportController::class, 'swmsProtectionToolGet']);
    Route::post('/swms-protection-tool-update/{id}', [SWMSReportController::class, 'swmsProtectionTOolUpdate']);
    Route::delete('/swms-protection-tool-settings-delete/{id}', [SWMSReportController::class, 'swmsProtectionToolDelete']);
    // Steps 
    Route::get('/swms-report-list', [SwmsStepsController::class, 'index']);
    Route::get('/swms-report-list/create/{step}/{swms_report_id}', [SwmsStepsController::class, 'stepsHome']);
    // swms report pdf generate
    Route::get('/swms-report-pdf-download/{id}', [SwmsStepsController::class, 'swmsReportDownloadPdf']);
    Route::get('/swms-report-pdf-download-regenerate/{id}', [SwmsStepsController::class, 'swmsReportDownloadPdfRegenerate']);
    Route::get('/swms-report-view-signature/{id}', [SwmsStepsController::class, 'swmsReportViewSignature']);
    Route::post('/swms-report-image-store', [SwmsStepsController::class, 'imageStore'])->name('swmsImages.store');
    Route::delete('/swms-report-delete-image/{id}', [SwmsStepsController::class, 'deleteImage'])->name('swmsImages.destroy');
    // file manager
    Route::get('/swms-report-pdf-list', [SwmsStepsController::class, 'swmsReportPdfFilesManager']);
    Route::get('files/download/{filename}', [SwmsStepsController::class, 'downloadSwmsPdfFile'])->name('swmsfiles.download');
    //publish/unpublish
    Route::get('/swms-report-pdf-publish/{id}', [SwmsStepsController::class, 'swmsReportPublishReport']);
    // report logs
    Route::get('reports-logs', function(){ return view('reports-logs');});
    Route::get('get-reports-logs', [SettingsController::class, 'getReportsLogs']);
    /////////////// GENERATE PDF FOR DOCUMENT SIGNED EMPLOYEES ///////////////////////
    Route::get('/generate-pdf', [MeetingController::class, 'generateSignedDocumentPDF'])->name('generateSignedDocument.pdf');
     // ======================= WHS REPORT ROUTE ===========================
    Route::get('/whs-report-list', function () {return view('WHSreport.whs_report_list');}); //->middleware('Permissions:Employee List View');
    Route::get('/whs-report-list/create/{step}/{whs_report_id}', [WhsStepsController::class, 'stepsHome']);
    Route::get('/whs-report/create/{step}/{id}', function () {return view('WHSreport.NewWHSreport.new_whs_report'); }); //->middleware('Permissions:Employee List Maintain');
    Route::get('/whs-report-pdf/{id}', [WhsReportController::class, 'whsReportDownloadPdf']);
    Route::get('/whs-report-pdf-regenerate/{id}', [WhsReportController::class, 'whsReportDownloadPdfRegenerate']);
    Route::get('/whs-report-view-signature/{id}', [WhsReportController::class, 'whsReportViewSignature']);


    Route::get('/whs-report-pdf-publish/{id}', [WhsReportController::class, 'whsReportPublishReport']);
    // File Manager
    Route::get('/whs-report-pdf-list', [WhsStepsController::class, 'whsReportPdfFilesManager']);
    Route::get('whs-files/download/{id}/{filename}', [WhsStepsController::class, 'fileManagerdownloadWhsPdfFile'])->name('whsfiles.download');
     // WHS Item
    Route::post('/whs-item-store', [WhsReportSettingController::class, 'whsItemStore']);
    Route::get('/whs-item-get', [WhsReportSettingController::class, 'whsItemGet']);
    Route::put('/whs-item-update/{id}', [WhsReportSettingController::class, 'whsItemUpdate']);
    Route::delete('/whs-item-delete/{id}', [WhsReportSettingController::class, 'whsItemDelete']);
    Route::get('/ whs-report-settings', [WhsReportSettingController::class, 'index']);
    Route::post('/whs-report-image-store', [WhsStepsController::class, 'imageStore'])->name('whsImages.store');
    Route::delete('/whs-report-delete-image/{id}', [WhsStepsController::class, 'deleteImage'])->name('whsImages.destroy');

  
});

Route::get('/Export/cvs', [HelpdeskTicketController::class, 'exportCVS']);

Route::view('/first-rest-password', 'Auth/first-rest-password');
Route::get('/leave-update-expired-status', [LeaveRequestController::class, 'update_expired_status']);
Route::get('/two-factor', function () {
    return view('Auth.two-factore');
})->name('Auth.twofactore');
Route::get('/reset-password', function () {
    return view('Auth.reset-password');
})->name('Auth.resetPassword');
Route::get('/forgot-password', function () {
    return view('Auth.forgot-password');
})->name('Auth.forgotPassword');
Route::get('/account-verification', function () {
    return view('Auth.account-verification');
})->name('Auth.accountverification');
Route::get('/update-password-profile', function () {
    return view('Auth.update-password-on-profile');
})->name('Auth.updatepasswordonprofile');
Route::get('/meeting/guest/{id}/{meeting_date}', [MeetingController::class, 'addGuestUser']);
Route::post('guest/add', [MeetingController::class, 'addGuestUserDetailsByGuest']);
Route::get('/guest/success', function () {
    return view('Guest.guest_success');
});
Route::get('/external-employee-onboarding', function () {
    return view('Employee.NewExternalEmployeeOnboarding.registrationForm');
});
Route::get('/edit-external-employee/{id}', function () {
    return view('Employee.NewExternalEmployeeOnboarding.editForm');
});
Route::get('/external-employee-onboarding/success', function () {
    return view('Employee.NewExternalEmployeeOnboarding.success');
});
